// 导出一个函数，这个函数接受数据库对象db和一个回调函数callback作为参数
module.exports = function(db,callback){
    // 用户模型
    // 使用db.define方法定义一个模型，模型名为CategoryModel
    db.define("CategoryModel",{
        // 定义模型的属性
        cat_id : {type: 'serial', key: true}, // 分类ID，自增主键
        cat_name : String, // 分类名称，类型为字符串
        cat_pid : Number, // 父分类ID，类型为数字
        cat_level : Number, // 分类级别，类型为数字
        cat_deleted: Boolean // 是否已删除，类型为布尔值
    },{
        // 定义模型的选项
        table : "sp_category" // 指定模型对应的数据库表名为sp_category
    });
    // 调用回调函数，传入无参数
    return callback();
}